# hermite< V, T > Class Template Reference

`#include <_hermite.h>`

Inheritance diagram for hermite< V, T >:

List of all members.

## Public Types

typedef V | value_type
typedef T | time_type

## Public Member Functions

| hermite ()
| hermite (const value_type &p1, const value_type &p2, const value_type &t1, const value_type &t2)
| hermite (const value_type &p1, const value_type &p2)
value_type & | p1 ()
value_type & | p2 ()
value_type & | t1 ()
value_type & | t2 ()
void | sync ()

## Public Attributes

value_type | P1
value_type | P2
value_type | T1
value_type | T2

## Detailed Description

### template<typename V, typename T = float>
class hermite< V, T >

======================================================================== Extended Template Library Hermite Template Class Implementation $Id$

Copyright (c) 2002 Robert B. Quattlebaum Jr.

This package is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This package is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

=== N O T E S ===========================================================

This is an internal header file, included by other ETL headers. You should not attempt to use it directly.

=========================================================================

Definition at line 135 of file _hermite.h.

## Member Typedef Documentation

template<typename V, typename T = float>

typedef V hermite< V, T >::value_type

Reimplemented from bezier< V, T >.

Definition at line 138 of file _hermite.h.

template<typename V, typename T = float>

typedef T hermite< V, T >::time_type

Reimplemented from bezier< V, T >.

Definition at line 139 of file _hermite.h.

## Constructor & Destructor Documentation

template<typename V, typename T = float>

hermite< V, T >::hermite | ( |  | ) | `[inline]`

Definition at line 144 of file _hermite.h.

template<typename V, typename T = float>

hermite< V, T >::hermite | ( | const value_type & | p1,
|  | const value_type & | p2,
|  | const value_type & | t1,
|  | const value_type & | t2 |
| ) |  |  | `[inline]`

Definition at line 145 of file _hermite.h.

template<typename V, typename T = float>

hermite< V, T >::hermite | ( | const value_type & | p1,
|  | const value_type & | p2 |
| ) |  |  | `[inline]`

Definition at line 147 of file _hermite.h.

## Member Function Documentation

template<typename V, typename T = float>

value_type& hermite< V, T >::p1 | ( |  | ) | `[inline]`

Definition at line 152 of file _hermite.h.

template<typename V, typename T = float>

value_type& hermite< V, T >::p2 | ( |  | ) | `[inline]`

Definition at line 153 of file _hermite.h.

template<typename V, typename T = float>

value_type& hermite< V, T >::t1 | ( |  | ) | `[inline]`

Definition at line 154 of file _hermite.h.

template<typename V, typename T = float>

value_type& hermite< V, T >::t2 | ( |  | ) | `[inline]`

Definition at line 155 of file _hermite.h.

template<typename V, typename T = float>

void hermite< V, T >::sync | ( |  | ) | `[inline]`

Reimplemented from bezier_base< V, T >.

Definition at line 157 of file _hermite.h.

Referenced by hermite< T >::hermite().

## Member Data Documentation

template<typename V, typename T = float>

value_type hermite< V, T >::P1

Definition at line 150 of file _hermite.h.

Referenced by hermite< T >::p1(), and hermite< T >::sync().

template<typename V, typename T = float>

value_type hermite< V, T >::P2

Definition at line 150 of file _hermite.h.

Referenced by hermite< T >::p2(), and hermite< T >::sync().

template<typename V, typename T = float>

value_type hermite< V, T >::T1

Definition at line 150 of file _hermite.h.

Referenced by hermite< T >::sync(), and hermite< T >::t1().

template<typename V, typename T = float>

value_type hermite< V, T >::T2

Definition at line 150 of file _hermite.h.

Referenced by hermite< T >::sync(), and hermite< T >::t2().

The documentation for this class was generated from the following file:

- _hermite.h